NOLIST
; *******************************************
; * ASM Definition file for Swordfish BASIC *
; *******************************************
LIST

; special function registers...
LATA             EQU 0x0F89
LATB             EQU 0x0F8A
LATC             EQU 0x0F8B
LATD             EQU 0x0F8C
LATE             EQU 0x0F8D
DDRA             EQU 0x0F92
TRISA            EQU 0x0F92
DDRB             EQU 0x0F93
TRISB            EQU 0x0F93
DDRC             EQU 0x0F94
TRISC            EQU 0x0F94
DDRD             EQU 0x0F95
TRISD            EQU 0x0F95
DDRE             EQU 0x0F96
TRISE            EQU 0x0F96
PIE1             EQU 0x0F9D
PIR1             EQU 0x0F9E
IPR1             EQU 0x0F9F
PIE2             EQU 0x0FA0
PIR2             EQU 0x0FA1
IPR2             EQU 0x0FA2
EECON1           EQU 0x0FA6
EECON2           EQU 0x0FA7
EEDATA           EQU 0x0FA8
EEADR            EQU 0x0FA9
RCSTA            EQU 0x0FAB
TXSTA            EQU 0x0FAC
TXREG            EQU 0x0FAD
RCREG            EQU 0x0FAE
SPBRG            EQU 0x0FAF
T3CON            EQU 0x0FB1
TMR3             EQU 0x0FB2
TMR3L            EQU 0x0FB2
TMR3LH           EQU 0x0FB3
TMR3H            EQU 0x0FB3
CCP2CON          EQU 0x0FBA
CCPR2            EQU 0x0FBB
CCPR2L           EQU 0x0FBB
CCPR2LH          EQU 0x0FBC
CCPR2H           EQU 0x0FBC
CCP1CON          EQU 0x0FBD
CCPR1            EQU 0x0FBE
CCPR1L           EQU 0x0FBE
CCPR1LH          EQU 0x0FBF
CCPR1H           EQU 0x0FBF
ADCON1           EQU 0x0FC1
ADCON0           EQU 0x0FC2
ADRES            EQU 0x0FC3
ADRESL           EQU 0x0FC3
ADRESLH          EQU 0x0FC4
ADRESH           EQU 0x0FC4
SSPCON2          EQU 0x0FC5
SSPCON1          EQU 0x0FC6
SSPSTAT          EQU 0x0FC7
SSPADD           EQU 0x0FC8
SSPBUF           EQU 0x0FC9
T2CON            EQU 0x0FCA
PR2              EQU 0x0FCB
TMR2             EQU 0x0FCC
T1CON            EQU 0x0FCD
TMR1             EQU 0x0FCE
TMR1L            EQU 0x0FCE
TMR1LH           EQU 0x0FCF
TMR1H            EQU 0x0FCF
RCON             EQU 0x0FD0
WDTCON           EQU 0x0FD1
LVDCON           EQU 0x0FD2
OSCCON           EQU 0x0FD3
T0CON            EQU 0x0FD5
TMR0             EQU 0x0FD6
TMR0L            EQU 0x0FD6
TMR0LH           EQU 0x0FD7
TMR0H            EQU 0x0FD7
STATUS           EQU 0x0FD8
FSR2L            EQU 0x0FD9
FSR2LH           EQU 0x0FDA
FSR2H            EQU 0x0FDA
PLUSW2           EQU 0x0FDB
PREINC2          EQU 0x0FDC
POSTDEC2         EQU 0x0FDD
POSTINC2         EQU 0x0FDE
INDF2            EQU 0x0FDF
BSR              EQU 0x0FE0
FSR1L            EQU 0x0FE1
FSR1LH           EQU 0x0FE2
FSR1H            EQU 0x0FE2
PLUSW1           EQU 0x0FE3
PREINC1          EQU 0x0FE4
POSTDEC1         EQU 0x0FE5
POSTINC1         EQU 0x0FE6
INDF1            EQU 0x0FE7
WREG             EQU 0x0FE8
FSR0L            EQU 0x0FE9
FSR0LH           EQU 0x0FEA
FSR0H            EQU 0x0FEA
PLUSW0           EQU 0x0FEB
PREINC0          EQU 0x0FEC
POSTDEC0         EQU 0x0FED
POSTINC0         EQU 0x0FEE
INDF0            EQU 0x0FEF
INTCON3          EQU 0x0FF0
INTCON2          EQU 0x0FF1
INTCON           EQU 0x0FF2
PRODL            EQU 0x0FF3
PRODLH           EQU 0x0FF4
PRODH            EQU 0x0FF4
TABLAT           EQU 0x0FF5
TBLPTR           EQU 0x0FF6
TBLPTRL          EQU 0x0FF6
TBLPTRLH         EQU 0x0FF7
TBLPTRH          EQU 0x0FF7
TBLPTRU          EQU 0x0FF8
PC               EQU 0x0FF9
PCL              EQU 0x0FF9
PCLATH           EQU 0x0FFA
PCLATU           EQU 0x0FFB
STKPTR           EQU 0x0FFC
TOS              EQU 0x0FFD
TOSL             EQU 0x0FFD
TOSLH            EQU 0x0FFE
TOSH             EQU 0x0FFE
TOSU             EQU 0x0FFF

; system ports...
PORTA            EQU 0x0F80
PORTB            EQU 0x0F81
PORTC            EQU 0x0F82
PORTD            EQU 0x0F83
PORTE            EQU 0x0F84

; PORTA
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
AN0 = 0
AN1 = 1
AN2 = 2
AN3 = 3
AN4 = 5
OSC2 = 6
VREFM = 2
VREFP = 3
T0CKI = 4
SS = 5
CLK0 = 6
LVDIN = 5

; PORTB
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7
INT0 = 0
INT1 = 1
INT2 = 2
INT3 = 3

; PORTC
RC0 = 0
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7
T1OSO = 0
T1OSI = 1
SCK = 3
SDI = 4
SDO = 5
TX = 6
RX = 7
T1CKI = 0
CCP2_PORTC = 1
CCP1 = 2
SCL = 3
SDA = 4
CK = 6
; DT = 7
RC1 = 1
RC2 = 2

; PORTD
RD0 = 0
RD1 = 1
RD2 = 2
RD3 = 3
RD4 = 4
RD5 = 5
RD6 = 6
RD7 = 7
AD0 = 0
AD1 = 1
AD2 = 2
AD3 = 3
AD4 = 4
AD5 = 5
AD6 = 6
AD7 = 7

; PORTE
RE0 = 0
RE1 = 1
RE2 = 2
RE3 = 3
RE4 = 4
RE5 = 5
RE6 = 6
RE7 = 7
AN5 = 0
AN6 = 1
AN7 = 2
ALE = 0
OE = 1
WRL = 2
WRH = 3
CCP2_PORTE = 7

; LATA
LATA0 = 0
LATA1 = 1
LATA2 = 2
LATA3 = 3
LATA4 = 4
LATA5 = 5
LATA6 = 6

; LATB
LATB0 = 0
LATB1 = 1
LATB2 = 2
LATB3 = 3
LATB4 = 4
LATB5 = 5
LATB6 = 6
LATB7 = 7

; LATC
LATC0 = 0
LATC3 = 3
LATC4 = 4
LATC5 = 5
LATC6 = 6
LATC7 = 7
LATC1 = 1
LATC2 = 2

; LATD
LATD0 = 0
LATD1 = 1
LATD2 = 2
LATD3 = 3
LATD4 = 4
LATD5 = 5
LATD6 = 6
LATD7 = 7

; LATE
LATE0 = 0
LATE1 = 1
LATE2 = 2
LATE3 = 3
LATE4 = 4
LATE5 = 5
LATE6 = 6
LATE7 = 7

; DDRA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA5 = 5
TRISA6 = 6
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7

; TRISA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA5 = 5
TRISA6 = 6
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7

; DDRB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; TRISB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; DDRC
TRISC0 = 0
TRISC3 = 3
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7

; TRISC
TRISC0 = 0
TRISC3 = 3
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7

; DDRD
TRISD0 = 0
TRISD1 = 1
TRISD2 = 2
TRISD3 = 3
TRISD4 = 4
TRISD5 = 5
TRISD6 = 6
TRISD7 = 7
RD0 = 0
RD1 = 1
RD2 = 2
RD3 = 3
RD4 = 4
RD5 = 5
RD6 = 6
RD7 = 7

; TRISD
TRISD0 = 0
TRISD1 = 1
TRISD2 = 2
TRISD3 = 3
TRISD4 = 4
TRISD5 = 5
TRISD6 = 6
TRISD7 = 7
RD0 = 0
RD1 = 1
RD2 = 2
RD3 = 3
RD4 = 4
RD5 = 5
RD6 = 6
RD7 = 7

; DDRE
TRISE0 = 0
TRISE1 = 1
TRISE2 = 2
PSPMODE = 4
IBOV = 5
OBF = 6
IBF = 7
RE0 = 0
RE1 = 1
RE2 = 2
RE3 = 3
RE4 = 4
RE5 = 5
RE6 = 6
RE7 = 7

; TRISE
TRISE0 = 0
TRISE1 = 1
TRISE2 = 2
PSPMODE = 4
IBOV = 5
OBF = 6
IBF = 7
RE0 = 0
RE1 = 1
RE2 = 2
RE3 = 3
RE4 = 4
RE5 = 5
RE6 = 6
RE7 = 7

; PIE1
TMR1IE = 0
TMR2IE = 1
SSPIE = 3
TXIE = 4
RCIE = 5
ADIE = 6
PSPIE = 7
CCP1IE = 2

; PIR1
TMR1IF = 0
TMR2IF = 1
SSPIF = 3
TXIF = 4
RCIF = 5
ADIF = 6
PSPIF = 7
CCP1IF = 2

; IPR1
TMR1IP = 0
TMR2IP = 1
SSPIP = 3
TXIP = 4
RCIP = 5
ADIP = 6
PSPIP = 7
CCP1IP = 2

; PIE2
TMR3IE = 1
LVDIE = 2
BCLIE = 3
EEIE = 4
CCP2IE = 0

; PIR2
TMR3IF = 1
LVDIF = 2
BCLIF = 3
EEIF = 4
CCP2IF = 0

; IPR2
TMR3IP = 1
LVDIP = 2
BCLIP = 3
EEIP = 4
CCP2IP = 0

; EECON1
RD = 0
WR = 1
WREN = 2
WRERR = 3
FREE = 4
CFGS = 6
EEPGD = 7

; RCSTA
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7

; TXSTA
TX9D = 0
TRMT = 1
BRGH = 2
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7

; T3CON
TMR3ON = 0
TMR3CS = 1
NOT_T3SYNC = 2
RD16 = 7
T3SYNC = 2
T3CKPS0 = 4
T3CKPS1 = 5
T3CCP2 = 6
T3CCP1 = 3

; CCP2CON
CCP2M0 = 0
CCP2M1 = 1
CCP2M2 = 2
CCP2M3 = 3
CCP2Y = 4
CCP2X = 5
DC2B0 = 4
DC2B1 = 5
DCCPX = 5

; CCP1CON
CCP1M0 = 0
CCP1M1 = 1
CCP1M2 = 2
CCP1M3 = 3
CCP1Y = 4
CCP1X = 5
DC1B0 = 4
DC1B1 = 5

; ADCON1
ADCS2 = 6
ADFM = 7
PCFG0 = 0
PCFG1 = 1
PCFG2 = 2
PCFG3 = 3

; ADCON0
ADON = 0
GO_NOT_DONE = 2
GO = 2
CHS0 = 3
CHS1 = 4
CHS2 = 5
ADCS0 = 6
ADCS1 = 7
NOT_DONE = 2
DONE = 2
GO_DONE = 2

; SSPCON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7

; SSPCON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSPSTAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
R_W = 2
D_A = 5

; T2CON
T2CKPS0 = 0
T2CKPS1 = 1
TMR2ON = 2
TOUTPS0 = 3
TOUTPS1 = 4
TOUTPS2 = 5
TOUTPS3 = 6

; T1CON
TMR1ON = 0
TMR1CS = 1
NOT_T1SYNC = 2
RD16 = 7
T1SYNC = 2
T1CKPS0 = 4
T1CKPS1 = 5
T1RD16 = 7
T1OSCEN = 3

; RCON
NOT_BOR = 0
NOT_POR = 1
NOT_PD = 2
NOT_TO = 3
NOT_RI = 4
IPEN = 7
BOR = 0
POR = 1
PD = 2
TO = 3
RI = 4
NOT_IPEN = 7

; WDTCON
SWDTEN = 0
SWDTE = 0

; LVDCON
LVDEN = 4
IRVST = 5
LVDL0 = 0
LVDL1 = 1
LVDL2 = 2
LVDL3 = 3

; OSCCON
RESERVED = 0
SCS = 0

; T0CON
PSA = 3
T0SE = 4
T0CS = 5
T08BIT = 6
TMR0ON = 7
T0PS0 = 0
T0PS1 = 1
T0PS2 = 2

; STATUS
C = 0
DC = 1
Z = 2
OV = 3
N = 4

; INTCON3
INT1IF = 0
INT2IF = 1
INT1IE = 3
INT2IE = 4
INT1IP = 6
INT2IP = 7
INT1F = 0
INT2F = 1
INT1E = 3
INT2E = 4
INT1P = 6
INT2P = 7

; INTCON2
RBIP = 0
TMR0IP = 2
INTEDG2 = 4
INTEDG1 = 5
INTEDG0 = 6
NOT_RBPU = 7
INT3P = 1
T0IP = 2
INTEDG3 = 3
RBPU = 7

; INTCON
RBIF = 0
INT0IF = 1
TMR0IF = 2
RBIE = 3
INT0IE = 4
TMR0IE = 5
PEIE_GIEL = 6
GIE_GIEH = 7
INT0F = 1
T0IF = 2
INT0E = 4
T0IE = 5
PEIE = 6
GIE = 7
GIEL = 6
GIEH = 7

; STKPTR
STKUNF = 6
STKFUL = 7
STKPTR0 = 0
STKPTR1 = 1
STKPTR2 = 2
STKPTR3 = 3
STKPTR4 = 4

; LIST
